# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=rundel
TARGET=rundel.tif
PROJECT_FILE=/mnt/media/pictures/2008/0507-451/2008-03-26-downtown/rundel.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/0507-451/2008-03-26-downtown/sta_2046.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stb_2047.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stc_2048.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/std_2049.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/ste_2050.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stf_2051.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/sth_2053.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/sti_2054.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stj_2055.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stk_2056.jpg /mnt/media/pictures/2008/0507-451/2008-03-26-downtown/stl_2057.jpg 

# remapped images
REMAPPED_IMAGES=rundel0000.tif rundel0001.tif rundel0002.tif rundel0003.tif rundel0004.tif rundel0005.tif rundel0006.tif rundel0007.tif rundel0008.tif rundel0009.tif rundel0010.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f8000x4363


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


